EDIT - bug #6122

bug # 6119 (Closed): Implement uuidAndTitleCache remote services
add titleCache service

10/06/2016 02:21 PM - Andreas Mdiller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 90%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 4.4

Severity: normal Found in Version:

Description

We need a service that returns only the titleCache for a given uuid.

By default it returns the titleCache as stored in the database, with parameter refresh=true it may recompute the titleCache first.

Associated revisions

Revision 3dfc49ed - 10/06/2016 02:24 PM - Andreas Miiller
fix #6122 add titleCache service

Revision 9¢337ba9 - 10/06/2016 02:51 PM - Andreas Miiller

fix #6122 add titleCache service to remote

Revision 43539149 - 10/06/2016 04:16 PM - Andreas Miiller

fix #6122 fix signature issue

Revision 40812151 - 10/07/2016 10:53 AM - Andreas Miiller
fix #6122 add titleCache service

Revision b4b7bfe8 - 10/07/2016 10:53 AM - Andreas Miiller

fix #6122 add titleCache service to remote

Revision 062fde15 - 10/07/2016 10:53 AM - Andreas Miiller

fix #6122 fix signature issue

Revision b3a692b2 - 11/25/2016 05:21 PM - Andreas Miiller
fix #6122 use StringResultDTO for titteCache service

History

#1 - 10/06/2016 02:22 PM - Andreas Miiller

- Description updated

#2 - 10/06/2016 02:23 PM - Andreas Miuller

- Description updated

#3 - 10/06/2016 02:24 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|3dfc49ed20bbef8f573798864ced75424{892470.

#4 - 11/03/2016 04:35 PM - Andreas Miuller

- Category changed from cdmlib to cdmlib-remote
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/3dfc49ed20bbef8f573798864ced75424f892470

- Assignee changed from Andreas Miiller to Andreas Kohlbecker

Please review

#5 - 11/03/2016 04:42 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Kohlbecker to Andreas Miller

There still seems to be an issue as the result for cuba classification on test is empty:
http://test.e-taxonomy.eu:80/cdmserver/flora_cuba/classification/5de394de-9¢76-4b97-b04d-71be31c7f44b/titleCache?refresh=true

#6 - 11/25/2016 05:21 PM - Andreas Miiller

- Status changed from Feedback to Resolved

Applied in changeset cdmlib|b3a692b2ee3c7d7a5305a0b9901eaefcc87ca8f7.

#7 - 03/17/2017 12:33 AM - Andreas Miiller
- Assignee changed from Andreas Miiller to Andreas Kohlbecker

- % Done changed from 50 to 90

Seems to work now. | tested with

http://api.cybertaxonomy.org/cichorieae/taxon/e64a9ec7-94c8-49ee-92ba-18f2065a960a/titleCache.json ?refresh=false and
http://api.cybertaxonomy.org/cichorieae/taxon/e64a9ec7-94c8-49ee-92ba-18f2065a960a/titleCache.json?refresh=true and got results, results where
even slightly different (1 one space missing with refresh=true).

Also the above cuba example on test server works so | think we can close this ticket.

#8 - 05/11/2017 08:31 AM - Andreas Kohlbecker

- Status changed from Resolved to Closed
